function [B,L,U] = boundingbox(P,Options)
%BOUNDINGBOX Computes the bounding box
%
%   B = BOUNDINGBOX(P)

if nargin < 3
    Options = sdpsettings('verbose',0);
end

Options.verbose = 0;
x = recover(depends(P.Constraints));
sol = solvesdp(P.Constraints,[x;-x],Options);
for i = 1:length(x)
    selectsolution(i);
    L(i,1) = double(x(i));
    selectsolution(length(x)+i);
    U(i,1) = double(x(i));
end
B = [L <= x <= U];
